<template>
  <div class="has-dropdown group">
    <span class="block relative font-navbar tracking-wider uppercase text-gray-900">
      <slot />
      <!-- ChevronDown Icon Start-->
      <svg
        class="inline-block h-6 w-6"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 24"
        fill="none"
        stroke="currentColor"
        stroke-width="1"
        stroke-linecap="round"
        stroke-linejoin="round"
      >
        <path d="M6 9l6 6 6-6" />
      </svg>
      <!-- ChevronDown Icon End-->
    </span>
    <div
      class="navbar-dropdown flex flex-col lg:hidden lg:group-hover:flex lg:absolute lg:px-4 lg:py-3 lg:bg-gray-100 lg:shadow"
    >
      <slot name="items" />
    </div>
  </div>
</template>

<script>
export default {
  name: 'NavbarDropdownItem',
};
</script>
